- name: Install packages
  package:
    name:
      - mixertui
    state: present

- name: Configure sysctls
  ignore_errors: true
  when: sound_default_unit is defined
  sysctl:
    name: "{{ item.name }}"
    value: "{{ item.value }}"
    state: present
    sysctl_file: "/etc/sysctl.conf.local"
    # Disabling loading the sysctl because the unit does not exist when not docked.
    reload: false
  loop:
    - name: hw.snd.default_unit
      value: "{{ sound_default_unit }}"

- name: Configure sysctls
  sysctl:
    name: "{{ item.name }}"
    value: "{{ item.value }}"
    state: present
    sysctl_file: "/etc/sysctl.conf.local"
  loop:
    - name: hw.snd.verbose
      value: "2"

- include_tasks: "tasks/freebsd_{{sound_system}}.yaml"
  when: sound_system is defined
